<?php

// Require
require_once 'Illuminate/Collections/autoload.php';
require_once 'Illuminate/Console/autoload.php';
require_once 'Illuminate/Container/autoload.php';
require_once 'Illuminate/Contracts/autoload.php';
require_once 'Illuminate/Database/autoload.php';
require_once 'Illuminate/Filesystem/autoload.php';
require_once 'Illuminate/Pipeline/autoload.php';
require_once 'Illuminate/Support/autoload.php';
require_once 'Laravel/SerializableClosure/autoload.php';
require_once 'Opis/Closure/autoload.php';
require_once 'Ramsey/Uuid/autoload.php';
require_once 'Symfony/Component/Process/autoload.php';

// Suggest
if (stream_resolve_include_path('Aws/SdkPhp/autoload.php')) { include_once 'Aws/SdkPhp/autoload.php'; }
if (stream_resolve_include_path('Illuminate/Redis/autoload.php')) { include_once 'Illuminate/Redis/autoload.php'; }
if (stream_resolve_include_path('Pda/Pheanstalk/autoload.php')) { include_once 'Pda/Pheanstalk/autoload.php'; }

// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'illuminate\\queue\\beanstalkdqueue' => '/BeanstalkdQueue.php',
                'illuminate\\queue\\callqueuedclosure' => '/CallQueuedClosure.php',
                'illuminate\\queue\\callqueuedhandler' => '/CallQueuedHandler.php',
                'illuminate\\queue\\capsule\\manager' => '/Capsule/Manager.php',
                'illuminate\\queue\\connectors\\beanstalkdconnector' => '/Connectors/BeanstalkdConnector.php',
                'illuminate\\queue\\connectors\\connectorinterface' => '/Connectors/ConnectorInterface.php',
                'illuminate\\queue\\connectors\\databaseconnector' => '/Connectors/DatabaseConnector.php',
                'illuminate\\queue\\connectors\\nullconnector' => '/Connectors/NullConnector.php',
                'illuminate\\queue\\connectors\\redisconnector' => '/Connectors/RedisConnector.php',
                'illuminate\\queue\\connectors\\sqsconnector' => '/Connectors/SqsConnector.php',
                'illuminate\\queue\\connectors\\syncconnector' => '/Connectors/SyncConnector.php',
                'illuminate\\queue\\console\\batchestablecommand' => '/Console/BatchesTableCommand.php',
                'illuminate\\queue\\console\\clearcommand' => '/Console/ClearCommand.php',
                'illuminate\\queue\\console\\failedtablecommand' => '/Console/FailedTableCommand.php',
                'illuminate\\queue\\console\\flushfailedcommand' => '/Console/FlushFailedCommand.php',
                'illuminate\\queue\\console\\forgetfailedcommand' => '/Console/ForgetFailedCommand.php',
                'illuminate\\queue\\console\\listencommand' => '/Console/ListenCommand.php',
                'illuminate\\queue\\console\\listfailedcommand' => '/Console/ListFailedCommand.php',
                'illuminate\\queue\\console\\monitorcommand' => '/Console/MonitorCommand.php',
                'illuminate\\queue\\console\\prunebatchescommand' => '/Console/PruneBatchesCommand.php',
                'illuminate\\queue\\console\\prunefailedjobscommand' => '/Console/PruneFailedJobsCommand.php',
                'illuminate\\queue\\console\\restartcommand' => '/Console/RestartCommand.php',
                'illuminate\\queue\\console\\retrybatchcommand' => '/Console/RetryBatchCommand.php',
                'illuminate\\queue\\console\\retrycommand' => '/Console/RetryCommand.php',
                'illuminate\\queue\\console\\tablecommand' => '/Console/TableCommand.php',
                'illuminate\\queue\\console\\workcommand' => '/Console/WorkCommand.php',
                'illuminate\\queue\\databasequeue' => '/DatabaseQueue.php',
                'illuminate\\queue\\events\\jobexceptionoccurred' => '/Events/JobExceptionOccurred.php',
                'illuminate\\queue\\events\\jobfailed' => '/Events/JobFailed.php',
                'illuminate\\queue\\events\\jobprocessed' => '/Events/JobProcessed.php',
                'illuminate\\queue\\events\\jobprocessing' => '/Events/JobProcessing.php',
                'illuminate\\queue\\events\\jobqueued' => '/Events/JobQueued.php',
                'illuminate\\queue\\events\\jobretryrequested' => '/Events/JobRetryRequested.php',
                'illuminate\\queue\\events\\looping' => '/Events/Looping.php',
                'illuminate\\queue\\events\\queuebusy' => '/Events/QueueBusy.php',
                'illuminate\\queue\\events\\workerstopping' => '/Events/WorkerStopping.php',
                'illuminate\\queue\\failed\\databasefailedjobprovider' => '/Failed/DatabaseFailedJobProvider.php',
                'illuminate\\queue\\failed\\databaseuuidfailedjobprovider' => '/Failed/DatabaseUuidFailedJobProvider.php',
                'illuminate\\queue\\failed\\dynamodbfailedjobprovider' => '/Failed/DynamoDbFailedJobProvider.php',
                'illuminate\\queue\\failed\\failedjobproviderinterface' => '/Failed/FailedJobProviderInterface.php',
                'illuminate\\queue\\failed\\nullfailedjobprovider' => '/Failed/NullFailedJobProvider.php',
                'illuminate\\queue\\failed\\prunablefailedjobprovider' => '/Failed/PrunableFailedJobProvider.php',
                'illuminate\\queue\\interactswithqueue' => '/InteractsWithQueue.php',
                'illuminate\\queue\\invalidpayloadexception' => '/InvalidPayloadException.php',
                'illuminate\\queue\\jobs\\beanstalkdjob' => '/Jobs/BeanstalkdJob.php',
                'illuminate\\queue\\jobs\\databasejob' => '/Jobs/DatabaseJob.php',
                'illuminate\\queue\\jobs\\databasejobrecord' => '/Jobs/DatabaseJobRecord.php',
                'illuminate\\queue\\jobs\\job' => '/Jobs/Job.php',
                'illuminate\\queue\\jobs\\jobname' => '/Jobs/JobName.php',
                'illuminate\\queue\\jobs\\redisjob' => '/Jobs/RedisJob.php',
                'illuminate\\queue\\jobs\\sqsjob' => '/Jobs/SqsJob.php',
                'illuminate\\queue\\jobs\\syncjob' => '/Jobs/SyncJob.php',
                'illuminate\\queue\\listener' => '/Listener.php',
                'illuminate\\queue\\listeneroptions' => '/ListenerOptions.php',
                'illuminate\\queue\\luascripts' => '/LuaScripts.php',
                'illuminate\\queue\\manuallyfailedexception' => '/ManuallyFailedException.php',
                'illuminate\\queue\\maxattemptsexceededexception' => '/MaxAttemptsExceededException.php',
                'illuminate\\queue\\middleware\\ratelimited' => '/Middleware/RateLimited.php',
                'illuminate\\queue\\middleware\\ratelimitedwithredis' => '/Middleware/RateLimitedWithRedis.php',
                'illuminate\\queue\\middleware\\throttlesexceptions' => '/Middleware/ThrottlesExceptions.php',
                'illuminate\\queue\\middleware\\throttlesexceptionswithredis' => '/Middleware/ThrottlesExceptionsWithRedis.php',
                'illuminate\\queue\\middleware\\withoutoverlapping' => '/Middleware/WithoutOverlapping.php',
                'illuminate\\queue\\nullqueue' => '/NullQueue.php',
                'illuminate\\queue\\queue' => '/Queue.php',
                'illuminate\\queue\\queuemanager' => '/QueueManager.php',
                'illuminate\\queue\\queueserviceprovider' => '/QueueServiceProvider.php',
                'illuminate\\queue\\redisqueue' => '/RedisQueue.php',
                'illuminate\\queue\\serializableclosure' => '/SerializableClosure.php',
                'illuminate\\queue\\serializableclosurefactory' => '/SerializableClosureFactory.php',
                'illuminate\\queue\\serializesandrestoresmodelidentifiers' => '/SerializesAndRestoresModelIdentifiers.php',
                'illuminate\\queue\\serializesmodels' => '/SerializesModels.php',
                'illuminate\\queue\\sqsqueue' => '/SqsQueue.php',
                'illuminate\\queue\\syncqueue' => '/SyncQueue.php',
                'illuminate\\queue\\worker' => '/Worker.php',
                'illuminate\\queue\\workeroptions' => '/WorkerOptions.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);
// @codeCoverageIgnoreEnd

// Files
